Imports EgtBEAMWALL.Core.ConstMachComm

Module MachCommConst

   Public Enum PVars As Integer
      PROD = 0
      MACHGROUP = 1
      PART = 2
      STATE = 3
   End Enum

   ' stati pezzo
   Public Enum PartState As Integer
      NULL = 0
      START = 1
      END_ = 2
   End Enum

   Public Delegate Sub ResultCallbackDlg(CommandType As CommandTypes, CommandState As CommandStates, ResultType As ResultTypes, Params As String)
   Public Delegate Sub CloseCallbackDlg(ByRef bCancel As Boolean)
   Public Delegate Sub UpdateCallbackDlg(Param As String, Params As String)
   Public Delegate Sub TPAAlarmCallbackDlg(ByVal AlarmOperation As Integer, ByVal AlarmType As Integer, ByVal AlarmMessage As String, ByVal AlarmCode As String, ByVal AlarmDateTime As String)
   Public Delegate Sub NUMAlarmCallbackDlg(ByVal CncNumber As Integer, ByVal numberOfError As Integer, ByVal ErrorTyp As String, ByVal ErrorIndex As String, ByVal ErrorNumber As String, ByVal ErrorLine As String, ByVal ErrorMessage As String, ByVal ErrorAdditional As String)
   Public Delegate Sub AxisCoordinatesCallbackDlg(ByVal AxisValue As Double, ByVal AxisIndex As Integer)
   Public Delegate Sub OpStateCallbackDlg(ByVal newOpState As Integer)
   Public Delegate Sub OpModeCallbackDlg(ByVal newOpState As Integer)
   Public Delegate Sub ChannelCallbackDlg(ByVal newChannel As Integer)
   Public Delegate Sub ReadVarCallbackDlg(CommandExecutedCorrectly As Boolean, VarAddress As String, VarValue As String, VarType As Integer)

   Friend m_ResultCallbackDlg As ResultCallbackDlg
   Friend m_CloseCallbackDlg As CloseCallbackDlg
   Friend m_UpdateCallbackDlg As UpdateCallbackDlg
   Friend m_TPAAlarmCallbackDlg As TPAAlarmCallbackDlg
   Friend m_NUMAlarmCallbackDlg As NUMAlarmCallbackDlg
   Friend m_AxisCoordinatesCallbackDlg As AxisCoordinatesCallbackDlg
   Friend m_OpStateCallbackDlg As OpStateCallbackDlg
   Friend m_OpModeCallbackDlg As OpModeCallbackDlg
   Friend m_ChannelCallbackDlg As ChannelCallbackDlg
   Friend m_ReadVarCallbackDlg As ReadVarCallbackDlg

End Module
